La instalación de Pip se basa en el error: error: se requiere Microsoft Visual C ++ 9.0. Consíguelo en http://aka.ms/vcpython27

Pip Install Relies Error

Después de resolver el problema de ImportError: el objeto 'módulo' no tiene atributo 'principal' (la solución a este problema se puede ver en mi otra publicación: https://blog.csdn.net/weixin_43578216/article/details/85640014) Después de ejecutar el archivo de dependencia de instalación de pip, se produjo el siguiente error:

|_+_|

El error le indica que primero debe instalar Microsoft Visual C ++ Compiler para Python 2.7, haga clic en el mensaje que se indica: enlace de descarga Descargue VCForPython, después de la instalación directa, instale pip install nuevamente, ¡el problema se resuelve con éxito!